libzypp 17.37.10

Env.h File Reference
`#include <cstdlib>`
`#include <string>`
`#include <memory>`
`#include <zypp-core/TriBool.h>`
`#include <zypp-core/base/String.h>`

Go to the source code of this file.

## Classes
class | zypp::env::ScopedSet
| Temporarily set/unset an environment variable. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::env
| Namespace intended to collect all environment variables we use.

## Functions
TriBool | zypp::env::getenvBool (const C_Str &var_r)
| If the environment variable var_r is set to a legal `true` or `false` string return `bool`, else `indeterminate`.